libgles-nvidia-legacy-390xx1_390.116-1_amd64.deb


Advertisement

Description

libgles-nvidia-legacy-390xx1 - NVIDIA binary OpenGL|ES 1.x library (390xx legacy version)

Property Value
Distribution Debian 10 (Buster)
Repository Debian Nonfree amd64
Package filename libgles-nvidia-legacy-390xx1_390.116-1_amd64.deb
Package name libgles-nvidia-legacy-390xx1
Package version 390.116
Package release 1
Package architecture amd64
Package type deb
Category non-free/libs role::shared-lib
Homepage https://www.nvidia.com
License -
Maintainer Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Download size 107.71 KB
Installed size 180.00 KB
OpenGL|ES is a cross-platform API for full-function 2D and 3D graphics on
embedded systems - including consoles, phones, appliances and vehicles.
It contains a subset of OpenGL plus a number of extensions for the
special needs of embedded systems.
OpenGL|ES 1.x provides an API for fixed-function hardware.
See the description of the nvidia-legacy-390xx-driver package
or /usr/share/doc/libgl1-nvidia-legacy-390xx-glx/README.txt.gz
for a complete list of supported GPUs and PCI IDs.
This package contains the driver specific binary OpenGL|ES 1.x implementation
by NVIDIA that is accessed via GLVND.

Alternatives

Package Version Architecture Repository
libgles-nvidia-legacy-390xx1_390.116-1_i386.deb 390.116 i386 Debian Nonfree
libgles-nvidia-legacy-390xx1 - - -

Requires

Name Value
libc6 >= 2.2.5
libgles1 >= 0.2.999
libgles1-glvnd-nvidia -
libnvidia-legacy-390xx-eglcore = 390.116-1
nvidia-legacy-390xx-alternative = 390.116-1

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libgles-nvidia-legacy-390xx1_390.116-1_amd64.deb
Source Package nvidia-graphics-drivers-legacy-390xx

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libgles-nvidia-legacy-390xx1 deb package:
    # sudo apt-get install libgles-nvidia-legacy-390xx1

Files

Path
/usr/lib/x86_64-linux-gnu/nvidia/legacy-390xx/libGLESv1_CM_nvidia.so.1
/usr/lib/x86_64-linux-gnu/nvidia/legacy-390xx/libGLESv1_CM_nvidia.so.390.116
/usr/share/bug/libgles-nvidia-legacy-390xx1/control
/usr/share/bug/libgles-nvidia-legacy-390xx1/script
/usr/share/doc/libgles-nvidia-legacy-390xx1/changelog.Debian.gz
/usr/share/doc/libgles-nvidia-legacy-390xx1/changelog.gz
/usr/share/doc/libgles-nvidia-legacy-390xx1/copyright
/usr/share/lintian/overrides/libgles-nvidia-legacy-390xx1

Changelog

2019-03-01 - Andreas Beckmann <anbe@debian.org>
nvidia-graphics-drivers-legacy-390xx (390.116-1) unstable; urgency=medium
* New upstream legacy branch release 390.116 (2019-02-22).
- Fixed build failures which resulted in errors like "implicit declaration
of function drm_...", when building the NVIDIA DRM kernel module for Linux
kernel 5.0 release candidates.
- Fixed a bug which could cause VK_KHR_external_semaphore_fd operations
to fail.
- Fixed a build failure, "implicit declaration of function
'vm_insert_pfn'", when building the NVIDIA DRM kernel module for Linux
kernel 4.20 release candidates.
- Fixed a build failure, "unknown type name 'ipmi_user_t'", when building
the NVIDIA kernel module for Linux kernel 4.20 release candidates.
- Fixed a bug that caused mode switches to fail when an SDI output board was
connected.
- Fixed a bug that could cause rendering corruption in Vulkan programs.
- Fixed a bug that caused vkGetPhysicalDeviceDisplayPropertiesKHR() to
occasionally return incorrect values for physicalResolution.
* New upstream legacy branch release 340 series.
- Fixed a build failure, "too many arguments to function 'get_user_pages'",
when building the NVIDIA kernel module for Linux kernel v4.4.168.
- Fixed a build failure, "implicit declaration of function do_gettimeofday",
when building the NVIDIA kernel module for Linux kernel 5.0 release
candidates.
- Added a new kernel module parameter, NVreg_RestrictProfilingToAdminUsers,
to allow restricting the use of GPU performance counters to system
administrators only.  (Closes: #913467)
[ Luca Boccassi ]
* Drop kmem_cache_create_usercopy.patch, drm-mode.patch,
ipmi-user.patch, vm-insert-pfn.patch: fixed upstream.
* Update symbols files.
2019-02-04 - Andreas Beckmann <anbe@debian.org>
nvidia-graphics-drivers-legacy-390xx (390.87-6) unstable; urgency=medium
* Synchronize packaging with nvidia-graphics-drivers (390.87-8).
2019-02-04 - Andreas Beckmann <anbe@debian.org>
nvidia-graphics-drivers (390.87-8) unstable; urgency=medium
* Tune more package relationships to prevent that installing packages from
nvidia-graphics-drivers-legacy-390xx driver pulls in packages from
nvidia-graphics-drivers via Recommends.
2019-02-02 - Andreas Beckmann <anbe@debian.org>
nvidia-graphics-drivers-legacy-390xx (390.87-5) unstable; urgency=medium
* Synchronize packaging with nvidia-graphics-drivers (390.87-7).
2019-02-02 - Andreas Beckmann <anbe@debian.org>
nvidia-graphics-drivers (390.87-7) unstable; urgency=medium
* Updated French (fr) debconf translations by Quentin Lejard.
(Closes: #920940)
* Use d/control.md5sum to keep track of d/control being up-to-date.
* Tune package relationships to prevent that installing packages from
nvidia-graphics-drivers-legacy-390xx driver pulls in packages from
nvidia-graphics-drivers via Recommends.
* Drop versioned constraints that are satisfied in wheezy.
* Drop versioned constraints that are satisfied in jessie.
2019-01-08 - Andreas Beckmann <anbe@debian.org>
nvidia-graphics-drivers-legacy-390xx (390.87-4) unstable; urgency=medium
* Synchronize packaging with nvidia-graphics-drivers (390.87-6).
2019-01-08 - Andreas Beckmann <anbe@debian.org>
nvidia-graphics-drivers (390.87-6) unstable; urgency=medium
[ Luca Boccassi ]
* Add ipmi-user.patch and vm-insert-pfn.patch to fix kernel module build for
Linux 4.20 and newer.  (Closes: #917586)
* Update Swedish (sv) debconf translation. Thank you Martin Bagge!
(Closes: #918018)
[ Andreas Beckmann ]
* Switch to debhelper-compat (= 12).
2018-12-24 - Andreas Beckmann <anbe@debian.org>
nvidia-graphics-drivers (390.87-5) unstable; urgency=medium
* Prefer KBUILD_LDFLAGS (used since 4.19) over LDFLAGS.  (Closes: #916883)
* Work around update-alternatives bug #916799 and re-register the
alternative to clean-up leftover slaves.
* Bump Standards-Version to 4.3.0. No changes needed.
* Update lintian overrides.

See Also

Package Description
libgles-nvidia-legacy-390xx2_390.116-1_amd64.deb NVIDIA binary OpenGL|ES 2.x library (390xx legacy version)
libgles-nvidia1_410.104-3_amd64.deb NVIDIA binary OpenGL|ES 1.x library
libgles-nvidia2_410.104-3_amd64.deb NVIDIA binary OpenGL|ES 2.x library
libgles1-nvidia-legacy-340xx_340.107-4_amd64.deb NVIDIA binary OpenGL|ES 1.x library (340xx legacy version)
libgles2-nvidia-legacy-340xx_340.107-4_amd64.deb NVIDIA binary OpenGL|ES 2.x library (340xx legacy version)
libglx-nvidia-legacy-390xx0_390.116-1_amd64.deb NVIDIA binary GLX library (390xx legacy version)
libglx-nvidia0_410.104-3_amd64.deb NVIDIA binary GLX library
libjabsorb-java_1.3-4_all.deb Java to Javascript object request broker
libmath-random-perl_0.72-1+b5_amd64.deb Perl collection of random number generators
libmetis-edf-dev_4.1-2-4+b1_amd64.deb Family of Multilevel Partitioning Algorithms
libmetis-edf4.1_4.1-2-4+b1_amd64.deb Family of Multilevel Partitioning Algorithms
libmkl-avx2_2019.2.187-1_amd64.deb Intel® MKL: Kernel library for Intel® AVX2 enabled processors
libmkl-avx512-mic_2019.2.187-1_amd64.deb Intel® MKL : Kernel library for Intel® AVX-512 Xeon Phi processors
libmkl-avx512_2019.2.187-1_amd64.deb Intel® MKL: Kernel library for Intel® AVX-512 enabled processors
libmkl-avx_2019.2.187-1_amd64.deb Intel® MKL: Kernel library for Intel® AVX enabled processors
Advertisement
Advertisement